m_strTargetHost=Wscript.Arguments(0)
Set m_objNet=CreateObject("Wscript.Network")
Set m_objShell=CreateObject("Wscript.Shell")
Set m_objFS=CreateObject("Scripting.FileSystemObject")
m_strThisComputer=m_objNet.ComputerName
m_strStartTime=Now()

m_strLogParentFolder="logs - " & m_strThisComputer
Dim m_objLog
SetLogFile

intPort=80
strCwHome=""
If m_strTargetHost="192.168.5.100" Or m_strTargetHost="extrovert" Then
	strCfgFile=""
	Dim strCfgFiles(3)
	strCfgFiles(0)="C:\Program Files\eClinicalWorks\configuration.xml"
	strCfgFiles(1)="C:\Program Files (x86)\eClinicalWorks\configuration.xml"
	strCfgFiles(2)="D:\Program Files\eClinicalWorks\configuration.xml"
	strCfgFiles(3)="D:\Program Files (x86)\eClinicalWorks\configuration.xml"
	For intFile=0 To 3
		If m_objFS.FileExists(strCfgFiles(intFile)) Then
			strCfgFile=strCfgFiles(intFile)
			Exit For
		End If
	Next
	If strCfgFile="" Then
		m_objLog.WriteLine Now() & ": could not find configuration.xml; aborting"
		Wscript.Quit
	End If	
	Set objCfgFile=m_objFS.OpenTextFile(strCfgFile,1)
	If Err.Number > 0 Then
		m_objLog.WriteLine Now() & ": could not open configuration file: error: " & Err.Description
		Wscript.Quit
	End If
	Do While Not objCfgFile.AtEndOfStream
		strLine=lCase(objCfgFile.ReadLine)
		If Instr(strLine,"<server>") > 0 Then

			'--get the server address
			intPos=Instr(strLine,">")
			strLine=Right(strLine,Len(strLine)-intPos)
			intPos=Instr(strLine,":")
			m_strTargetHost=Left(strLine,intPos-1)

			'--get the port
			strLine=Right(strLine,Len(strLine)-intPos)
			intPos=Instr(strLIne,"</")
			intPort=Left(strLine,intPos-1)
			Exit Do
		End If
	Loop
	If intPort=80 Then
		m_objLog.WriteLine Now() & ": could not determine server port; aborting"
		Wscript.Quit
	End If		
End If
If lCase(Left(m_strTargetHost,3))="rdp" Then
	intPort=3389
End If
If m_strTargetHost="64.79.134.105" Then
	intPort=443
End If
Set objExec=m_objShell.Exec("tcping -t " & m_strTargetHost & " " & intPort)
Do While Not objExec.StdOut.AtEndOfStream
	strLine=objExec.StdOut.ReadLine
	SetLogFile
	m_objLog.WriteLine Now() & ": " & strLine
Loop

Sub SetLogFile()

	'--has the date changed?
	strNewLogDate=Year(Now()) & "-" & Month(Now()) & "-" & Day(Now())
	If strNewLogDate <> m_strLogDate Then

		'--set the current logging date
		m_strLogDate=strNewLogDate

		'--create a logs parent folder if necessary
		If Not m_objFS.FolderExists(m_strLogParentFolder) Then
			m_objFS.CreateFolder m_strLogParentFolder
		End If

		'--create a logs folder by date if necessary
		strLogFolder=m_strLogParentFolder & "\" & m_strLogDate
		If Not m_objFS.FolderExists(strLogFolder) Then
			m_objFS.CreateFolder strLogFolder
		End If

		'--create a new log object
		Set m_objLog=Nothing
		strLog=strLogFolder & "\tcp_" & m_strTargetHost & "_large.txt"
		Set m_objLog=m_objFS.OpenTextFile(strLog,8,True)
	End If

End Sub

