Set m_objNet=CreateObject("Wscript.Network")
Set m_objShell=CreateObject("Wscript.Shell")
Set m_objFS=CreateObject("Scripting.FileSystemObject")
m_strThisComputer=m_objNet.ComputerName
m_strStartTime=Now()

'--set the log file
m_strLogParentFolder="logs - " & m_strThisComputer
Dim m_objLog
SetLogFile

Do While True
	RdpNetstat
	Wscript.Sleep 30000
Loop
Sub RdpNetstat
	Set m_objExec=m_objShell.Exec("netstat -nt")
	Do While Not m_objExec.StdOut.AtEndOfStream
		m_strLine=m_objExec.StdOut.ReadLine
		If Instr(m_strLine,":3389 ") Then
			SetLogFile
			m_objLog.WriteLine Now() & ": " & m_strLine
		End If
	Loop
End Sub

Sub SetLogFile()

	'--has the date changed?
	strNewLogDate=Year(Now()) & "-" & Month(Now()) & "-" & Day(Now())
	If strNewLogDate <> m_strLogDate Then

		'--set the current logging date
		m_strLogDate=strNewLogDate

		'--create a logs parent folder if necessary
		If Not m_objFS.FolderExists(m_strLogParentFolder) Then
			m_objFS.CreateFolder m_strLogParentFolder
		End If

		'--create a logs folder by date if necessary
		strLogFolder=m_strLogParentFolder & "\" & m_strLogDate
		If Not m_objFS.FolderExists(strLogFolder) Then
			m_objFS.CreateFolder strLogFolder
		End If

		'--create a new log object
		Set m_objLog=Nothing
		strLog=strLogFolder & "\rdp_netstat" & m_strTargetHost & ".txt"
		Set m_objLog=m_objFS.OpenTextFile(strLog,8,True)
	End If

End Sub

